import { default as React } from 'react';
export default Map;
declare class Map extends React.Component<any, any, any> {
    constructor(props: any);
    svgRef: React.RefObject<any>;
    dragged(event: any, d: any): void;
    componentDidUpdate(prevProps: any, prevState: any, snapshot: any): void;
    componentDidMount(): void;
    render(): React.JSX.Element;
}
